#ifndef QUIZSETTINGS_H
#define QUIZSETTINGS_H

#include "controller.h"
#include "settingform.h"
#include "ui_quizsettings.h"
#include <QtWidgets>
#include <QtGui>

class Controller;
class SettingForm;

class QuizSettings : public QWidget, private Ui::QuizSettings
{
  Q_OBJECT
  private:
    Controller *controller;
  public:
    explicit QuizSettings( Controller *controller, QWidget *parent = 0 );
    ~QuizSettings( void );
  public slots:
    void timeStateSlot( int timeState );
    void saveQuizSettings( void );
    void startQuiz( void );
};

#endif // QUIZSETTINGS_H
